#ifndef SQLITE_H
#define SQLITE_H
#include "sqlite3.h"
#include <string>

// Forward declarations
struct CommandFrame_150AUV;
struct FeedbackFrame_150AUV;
struct AUV150_Status;

class SQLite
{
private:
    sqlite3* m_db;
    bool execSQL(const std::string& sql);
public:
    std::string m_dbPath;
    SQLite(const std::string& dbName);
    ~SQLite();

    //创建表
    bool createTable();

    // 插入数据函数
    bool insertData(CommandFrame_150AUV data);
    bool insertData(FeedbackFrame_150AUV data);
    bool insertData(AUV150_Status data);
};


#endif
